Subject: bug#8149: 23.2; Docs: "in a separate process"

From: Dave Abrahams <[email-masked]>
Date: Tue, 01 Mar 2011 18:28:53 -0500

`37.3 Creating a Synchronous Process' sez, repeatedly, that the
synchronous processes created are called "in a separate process."

Now, either that is obvious, since when you create a process it is of
course a separate process from Emacs, or it means something that I can't
guess at.  It's confusing because shell-command-to-string conspicuously
leaves out the words "in a separate process," leading me to wonder if
it's doing something fundamentally difference and to think maybe I can't
really replace invocations of shell-command-to-string with
(appropriately reformulated) invocations of call-process-shell-command,
as I plan to.